Bug 171009 - traphandler syntax unclear
traphandler syntax unclear
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-17 07:46 EDT by Nigel Horne
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-19 03:27:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nigel Horne 2005-10-17 07:46:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4) Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
man snmptrapd.conf mentions that the traphandle syntax is
traphandle OID|default PROGRAM [ARGS...]

But the example traphandle line in the man page mentions neither an OID or the word 'default'. It reads:

traphandle /usr/bin/perl /usr/bin/traptoemail -s .....

Version-Release number of selected component (if applicable):
net-snmp-5.2.1.2-FC3.1

How reproducible:
Always

Steps to Reproduce:
1. man snmptrapd.conf
2.
3.
  

Actual Results:  Inconsistent syntax

Expected Results:  Consistent syntax

Additional info:
Comment 1 Radek Vokal 2005-10-19 03:27:19 EDT
Nice catch, you're of course right. I've reported this to upstream and it will
be fixed in their next release.

Note You need to log in before you can comment on or make changes to this bug.